use sakila;

-- ex1.	List of actors surname and name such that the actors played 
-- in at least one movie of the category "Classics"
select distinct a.first_name, a.last_name
from actor a join film_actor fa on a.actor_id = fa.actor_id 
join film f on f.film_id = fa.film_id 
join film_category fc on f.film_id = fc.film_id
join category c on fc.category_id = c.category_id
where c.name = 'Classics';

-- ex2.	List of actors surname and name such that the actors played 
-- ONLY in movies of the category "Family"


select distinct a.first_name, a.last_name
from actor a join film_actor fa on a.actor_id = fa.actor_id 
join film f on f.film_id = fa.film_id 
join film_category fc on f.film_id = fc.film_id
join category c on fc.category_id = c.category_id
where c.name = 'Family' AND a.actor_id IN (
	select a.actor_id
	from actor a join film_actor fa on a.actor_id = fa.actor_id 
	join film f on f.film_id = fa.film_id 
	join film_category fc on f.film_id = fc.film_id
	join category c on fc.category_id = c.category_id
	group by a.actor_id, a.first_name, a.last_name
	having count(distinct(c.name)) = 1);


-- ex3.	List of actors surname and name such that the actors 
-- played only in movies of a certain category

-- ex4.	List of clients surname and name such that the clients 
-- rent the movie “CASABLANCA SUPER”

-- ex5.	List for each film, the total rental amount in the weekend 
-- and the percentage of this amount compared to the total amount of 
-- rentals in any day of the week

-- ex6.	List for each film, the number of customers who rented it
